-- =============================================
-- SaveToDB Framework for PostgreSQL
-- Version 7.19, March 12, 2018
--
-- Copyright 2015-2018 Gartle Technology Corporation
-- =============================================

DROP VIEW       IF EXISTS   savetodb_xls.view_column_translation;
DROP VIEW       IF EXISTS   savetodb_xls.view_object_translation;
DROP VIEW       IF EXISTS   savetodb_xls.view_object_description;

DROP TABLE      IF EXISTS   savetodb_dev.object_translation;
DROP TABLE      IF EXISTS   savetodb_dev.column_translation;

DROP VIEW       IF EXISTS   savetodb_xls.view_event_handlers;
DROP TABLE      IF EXISTS   savetodb_dev.event_handlers;

DROP VIEW       IF EXISTS   savetodb_xls.view_table_formats;
DROP FUNCTION   IF EXISTS   savetodb_dev.table_format_save(schema character varying, name character varying, excelformatxml text);
DROP TABLE      IF EXISTS   savetodb_dev.table_formats;

DROP VIEW       IF EXISTS   savetodb_xls.view_parameter_values;
DROP TABLE      IF EXISTS   savetodb_dev.parameter_values;

DROP VIEW       IF EXISTS   savetodb_xls.view_query_list;
DROP VIEW       IF EXISTS   savetodb_dev.view_query_list;
DROP TABLE      IF EXISTS   savetodb_dev.query_list;

REVOKE USAGE ON SCHEMA savetodb_xls FROM savetodb_xls_role;
REVOKE USAGE ON SCHEMA savetodb_xls FROM savetodb_dev_role;
REVOKE USAGE ON SCHEMA savetodb_dev FROM savetodb_dev_role;

-- These commands are not supported in PostgreSQL 8.x

-- REVOKE SELECT ON ALL TABLES                          IN SCHEMA savetodb_xls FROM savetodb_xls_role;
-- REVOKE SELECT ON ALL TABLES                          IN SCHEMA savetodb_xls FROM savetodb_dev_role;
-- REVOKE SELECT, INSERT, UPDATE, DELETE ON ALL TABLES  IN SCHEMA savetodb_dev FROM savetodb_dev_role;

-- REVOKE EXECUTE ON ALL FUNCTIONS                      IN SCHEMA savetodb_xls FROM savetodb_xls_role;
-- REVOKE EXECUTE ON ALL FUNCTIONS                      IN SCHEMA savetodb_xls FROM savetodb_dev_role;
-- REVOKE EXECUTE ON ALL FUNCTIONS                      IN SCHEMA savetodb_dev FROM savetodb_dev_role;

DROP ROLE       IF EXISTS   savetodb_xls_role;
DROP ROLE       IF EXISTS   savetodb_dev_role;

DROP SCHEMA     IF EXISTS   savetodb_dev;
DROP SCHEMA     IF EXISTS   savetodb_xls;

-- print SaveToDB Framework has been dropped
